/* SKILLS */

:root{

    --skill-bg:#343a40;
    --skill-text:#d7dde8;
    --skill-muted:#bfc7d4;

    --skill-track:#1d2025;

    --skill-start:#6f7cf9;
    --skill-end:#ff5d73;

}

.rd-skills-section{

    color:var(--skill-text);

}

.rd-skill-column{

    display:flex;
    flex-direction:column;
    gap:28px;

}

.rd-skill{

    display:flex;
    flex-direction:column;
    gap:14px;

}

.rd-skill-top{

    display:flex;
    justify-content:space-between;
    align-items:center;

}

.rd-skill-title{

    text-transform:uppercase;
    letter-spacing:.18em;
    font-size:15px;
    color:#cfd6e1;

}

.rd-skill-percent{

    font-size:15px;
    font-weight:500;
    color:#cfd6e1;

}

.rd-skill-bar{

    width:100%;
    height:12px;

    background:var(--skill-track);

    border-radius:30px;

    overflow:hidden;

    box-shadow:
    inset 0 4px 8px rgba(0,0,0,.45);

}

.rd-skill-progress{

    display:block;

    height:100%;

    border-radius:30px;

    background:linear-gradient(
        90deg,
        var(--skill-start),
        var(--skill-end)
    );

    box-shadow:
        0 0 10px rgba(255,90,120,.15);

}

@media(max-width:1024px){

.rd-skills-section{

    gap:60px;

}

}

@media(max-width:768px){

.rd-skills-section h2{

    font-size:42px;

}

.rd-skill-title{

    font-size:13px;

}

}